Пакеты eclipse 3.4-3 и eclipse-cdt 5.0.0-2 находятся на подходе к . Мы перешли на использование бинарной сборки с eclipse.org, что должно положительно сказаться на стабильности и совместимости.
Несмотря на то, что eclipse необходимо устанавливать в /opt, эксперименты показали, что он прекрасно работает и в /usr/share.
Там ему отселе и быть. Кампай! Аминь ;)
  • Краткое содержание:
    Обзор публикаций про Арч
  • Тесты 26-го ядра
  • Интервью: Daniel Isenmann
  • Новости от разработчиков (в т.ч. про KDE 4.1)
  • Разного рода советы, трюки и юмор…
Newsletter for August, 2008
29-го июля команда разработчиков KDE выпустит финальный релиз KDE 4.1, первую пригодную для использования версию четвёртого поколения.
К этому знаменательному событию в притоговлены соответствующие пакеты (тем временем, пакеты в уже в ! – прим. переводчика). Протестируйте их, не забывая отмечать все ошибки в баг-треккере.
  • Перед обновлением ознакомьтесь со следующей информацией:
    Не ждите гладкого обновления! Не все старые конфигурационные файлы совместимы с новой версией. Новые файлы находятся в ~/.kde4 (старые в ~/.kde). Они не конвертируются автоматически. Надо вручную скопировать старые и посмотреть на результат. Это может сработать для kmail, konqueror и др., но не пройдёт для многого другого. Остаётся надеяться, что в скором будущем KDE выпустит специальный конвертер.
  • Если хотите использовать рабочий стол, установите kdebase-workspace, который включает kdm, панель задач и т.п.
  • Если пакман захочет заменить пакеты, отвечайте утвердительно!
  • На данный момент момент не все завязанные на KDE пакеты пересобраны под новый KDE. Если не терпится, ставьте kdelibs3, должно помочь.
  • Если запускаете KDM через inittab, смените путь с /opt/kde на /usr
  • Не делайте принудительное (-f) обновление. Вместо этого сообщите об ошибке.
  • Можно удалить директорию ~/Desktop, если она не нравится.
  • Первый логин происходит дольше обычного. Не волнуйтесь, создаются новые конфиги и проч.
  • Если у Вас карта nvidia, читайте http://techbase.kde.org/User:Lemma/GPU-Performance
  • Обзор нововведений: http://www.kde.org/announcements/4.1/
Некоторое время назад был открыт набор в команду разработчиков ArchLinux. За прошедшее время поступило 42 заявки из которых было отобрано 7.
  • Итак, знакомьтесь, новые разработчики:
    Ronald van Haren (pressh)
  • Giovanni Scafora (voidnull)
  • Alexander Fehr (pizzapunk)
  • Douglas Soares de Andrade (dsa)
  • Vesa Kaihlavirta (vegai)
  • Don Stewart (dons)
  • Hugo Doria (hdoria)
  • Также, несколько недель назад было принято ещё 3 человека:
    Allan McRae (Allan)
  • Dusty Phillips (Dusty)
  • François Charette (Firmicus)
Преимущество было отдано тем, кто являлся Доверенным Пользователем (TU). Если вы подавали заявку не являясь TU, то, если вы не передумали помогать разработке ArchLinux'а, рекомендуется им стать. Если вы были TU, но не прошли по конкурсу, то не расстраивайтесь, может вам повезёт в следующий раз ;)
  • Среди прочего читайте:
    Кто победил в битве с OOXML?
  • Новые брендированные продукты в онлайн-барахолке
  • Интервью: Thayer Williams
Newsletter for July 01, 2008
  • Изменения:
    Убраны драйвероспецифичние хаки/костыли. Теперь они в конфигурационных опциях.
  • Код автосоединения отделён от сетевых профилей
  • Всякие исправления
  • Добавлена возможность запуска iwconfig с любым аргументом перед соединением (и настройкой)
Подробнее в git-ветке netcfg2 на projects.archlinux.org.
Документация по произведённым изменения смотрите в Network Profiles development вики.
Если вы в течении прошлого месяца присылали iphitus'у багрепорт через форум/почту или если он обещал что-то исправить, но не сделал этого, самое время сейчас ему об этом по почте и напомнить.
Вышёл Archlinux 2008.06 “Overlord”. Релиз включает в себя много новшеств.
  • Пакеты категории ‘base’ ставятся всегда
  • Используется UUID device naming
  • Помимо традиционных iso есть образ USB-диска
  • Настоящее live Arch окружение
  • В образ включено руководство для новичков
  • Обновлена документация
  • Версия ядра 2.6.25.6
Команда разработчиков ArchLinux ищет нескольких желающих заняться поддержкой оффициальных пакетов.
  • Основные виды деятельности:
    Поддержка некоторого количества оффициальных пакетов из
  • Участие в дисскуссиях на рассылке arch-dev
  • Взаимодействие с другими пользователями и разработчиками, направленное на закрытие багов и улучшение пакетов

  • Требования к кандидатам:
    Хорошее знание Arch и Линукса вообще
  • Понимание работы pacman'а и makepkg
  • Умение вести переписку и в целом общаться (на англ. языке – прим. переводчика ;))
  • Иметь на это всё свободное время!

Если Вы чувствуете, что Вы удовлетворяете вышеперечисленным пунктам и готовы присоединиться к команде, пишите письма aaron, указав в письме следующее:
  • Как долго Вы работаете с линуксом и с Арчем
  • Какие проеты Вы создали и/или учавствовали в развитии
  • Какие пакеты поддерживаете в AUR/community
  • Какие цели преследуете, присоединяясь к разработчикам
  • Какие ники использовали на форуме и т.п.
  • Какие особенные пакеты Вы хотели бы поддерживать
  • Помимо постоянных рубрик читайте:
    Арч – не демократия.
  • Про Tremulous
  • Интервью: Andreas Radke
Newsletter for June 04, 2008
Если кто не заметил, в конце мая был несколько обновлён основной веб-сайт.

Изменения:
- отображается архтитектура для обновлённых пакетов
- отображаются зависимости пакетов в обе стороны
- появилась ссылка на svn (repos.archlinux.org)
- прочие исправления и изменения
На этот раз с некоторой заминкой, но в итоге ядро 2.6.25 помещено в core.
  • Изменения таковы:
    Полностью пересмотрена конфигурация, включены новые драйвера, настройки едины для обеих архитектур
  • Включён IO accounting, теперь можно использовать iotop
  • Пересмотрен набор патчей, теперь все патчи объединены в единый -ARCH патч (см http://projects.archlinux.org/?p=linux-2.6-ARCH.git;a=summary)
  • Проблемы:
    Подсистема USB теперь доступна только для GPL модулей ядра. Таким образом, модуль slmodem теперь не работает. Пакет slmodem скомпилирован без модуля slusb.ko. Нужно ли это кому-нибудь?
  • martian теперь не компилируется. Можно ли это починить – неясно.
  • Некоторые пользователи сообщают, что iwl4965 не работает с новым ядром, в тоже время, другие говорят, что никаких проблем нет. (см http://bugs.archlinux.org/task/10389, http://bugs.archlinux.org/task/10442). Всем, кого эта проблема может затронуть, рекомендуется сохранить копию старого ядра и модулей или не обновлять вовсе.
Были предприняты некоторые меры для большей модуляризации ядра. В связи с этим, может потребоваться ручная загрузка некоторых модулей (например loop и autofs4).
Сообщение от Доверенных Пользователей (Trusted Users):
AUR содержит большое число устаревших пакетов, которые нуждаются в чистке. Примером могут служить:
- пакеты, которые были переименованы или заменены
- старые и неподдерживаемые cvs/svn/итд пакеты

В чём может заключаться ваша помошь:
Публикуйте свои предложения по таким пакетам в wiki на странице AUR Cleanup. Через пару недель Доверенные Пользователи просмотрят список и определят пакеты, подлежащие удалению. Пожалуйста, не удаляйте чужие предложения к удалению, а пишите свои, в поддержку сохранения нужного вам пакета! Действительно нужные пакеты будет сохранены.
  • В этом номере:
    Кто есть Skoal?
  • Интервью: Simo Leone
  • ну и как обычно всякое разное полезное и юморное.
Newsletter for May 5, 2008
При попытке обновления до gpm 1.20.3-1 вы скорее всего получите следующие сообщения об ошибках:

error: could not prepare transaction
error: failed to commit transaction (conflicting files)
gpm: /usr/lib/libgpm.so.1 exists in filesystem
Errors occurred, no packages were upgraded.

Это происходит из-за поломки ссылки на /usr/lib/libgpm.so.1 (FS#9949). Эта ошибка теперь исправлена, но обновление необходимо запустить в принудительном режиме:
# pacman -Syf gpm
# pacman -Syu
Начиная с этой версии, в ABS для синхронизации abs-дерева будет использоваться rsync, что является частью процесса перевода репозитория с CVS на SVN.
Теперь:
1) cvsup/csup более не требуются, т.к. используется rsync (который, соответственно, нужен)
2) Конфигурация переехала из /etc/abs/abs.conf в /etc/abs.conf. /etc/abs/* можно удалять.
Также, всвязи с тем, что информация о категории пакета (base, devel, editors и пр.) больше не хранится в репозитории, был обновлён makeworld (см. makeworld -h).
Новый набор инсталляционных образов в данный момент находится в процессе размещения на зеркалах. FTP образа будут доступны ближе к вечеру, CORE образа появяться ночью (для распределения нагрузки на сервер).

Это первый релиз (точнее пре-релиз) основанный на live arch-системе . Таким образом, это обычная базовая инсталляция, которая будет грузиться как и с CD, так и USB носителя (вау, пыщ-пыщ!). Мало того, можно не только инсталлировать arch, но и работать с образом, как с live-системой.

Инсталляционный скрипт остался почти таким же как и раньше. Самое важное нововведение это использование UUID вместо sdX/hdX по умолчанию. Подробности воспоследуют на projects.archlinux.org.

Пробуйте и сообщайте о багах! Не смущайтесь “RC”-статуса образов. Образа находятся на серверах в директории iso.

  • В этом номере:Новости арча и линукса вообще
  • История archwiki
  • Интервью: Dan McGee
  • Тем временем вышел новый iso
  • Большая статья про NetBeans и Ruby on Rails
  • и ещё много всякого по мелочи.
Newsletter for April 3, 2008
netcfg v2 это новая, заново написанная версия netcfg, который ранее использовался внутри initscripts. netcfg v2 помещена в отдельный пакет netcfg.
Новая версия netcfg совместима по возможностям, но несовместима по конфигурации с предыдущей версией. Конфигурация должна быть переделана для netcfg v2. Примеры находятся в /etc/network.d/examples.

С документацией и информацией по конфигурированию можно ознакомиться в вики:
http://wiki.archlinux.org/index.php/Network_Profiles.
Свежая версия perl 5.10.0 помещена в core. Пакет собран в соответствии с Perl Policy. Обратите внимание на замечания по обновлению, т.к. кое-что изменилось и может потребоваться предпринять некоторые дополнительные действия.
Существуют опасности, связанные с обновлением dbus из testing. В самом пакете нет ничего особенного, он работает отлично. Проблема заключается в том, что все процессы dbus-daemon при обновлении завершатся, что может привести к печальным последствиям.
Поэтому, внимание всем, кто использует testing!
Все обновления запускайте из чистой консоли, а не из иксов, т.к. xorg-server при обновлении dbus рухнет, унеся в собой все несохранённые данные.

P.S. кому интересно, подробности: http://archlinux.org/pipermail/arch-dev-public/2008-March/005238.html